import { service } from '@/config/axios/service'

// 请求 Task 列表
export function getTasktableList(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/list',
      method: 'post',
      data: params
  })
}

//运行
export function runingTask(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/run',
      method: 'get',
      params: params
  })
}

// 复制任务
export function getcopyTaskMsg(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/copy',
      method: 'post',
      params: params
  })
}

//任务导出
export function exportJob(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/export',
      method: 'get',
      params: params
  })
}
export function exportworkflow(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/workflow/export',
      method: 'get',
      params: params
  })
}
export function jobsave(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/save',
      method: 'post',
      data: params
  })
}
// 请求 job 列表
export function getjobList(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/list',
      method: 'post',
      data: params
  })
}
// 请求 job 删除
export function getDeletejob(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/job/delete',
      method: 'get',
      params: params
  })
}

// 请求 instance 列表
export function getinstancetableList(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/instance/list',
      method: 'post',
      data: params
  })
}

// 请求 instance 重跑
export function getinstanceretry(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/instance/retry',
      method: 'get',
      params
  })
}

// 请求 instance 停止
export function getinstancstop(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/instance/stop',
      method: 'get',
      params
  })
}

// 查看日志
export function getinstanclog(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/instance/log',
      method: 'get',
      params
  })
}

// 下载日志
export function getdownloadlog(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/instance/downloadLogUrl',
      method: 'get',
      params
  })
}

// 请求 任务实例详情
export function getinstancedetailPlus(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/instance/detailPlus',
      method: 'post',
      data: params
  })
}

// 请求 任务实例详情
export function getwfInstancelist(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/wfInstance/list',
      method: 'post',
      data: params
  })
}
//停止工作流
export function getwfInstancestop(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/wfInstance/stop',
      method: 'get',
      params
  })
}
//重试工作流
export function getwfInstanceretry(params) {
  return service({
      baseURL: import.meta.env.VITE_APP_MODEL_URL,
      url: '/wfInstance/retry',
      method: 'get',
      params
  })
}
